body {
	font-family: 'Josefin Sans', sans-serif;
	background-color: rgb(230,230,230);
	color: white;
	line-height: 1.2;
	margin: 0;
	padding: 0;
}

header {
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 10;
	margin: 0;
	padding-top: 0;
	padding-bottom: 10px;
	padding-left: 10px;
	padding-right: 10px;
	background-color: rgb(27,30,76);
	border-bottom: 2px solid rgb(237,75,63);
	text-align: left;
}

.gzmo {
	font-family: Georgia, Geneva;
	width: 100%;
	display: block;
	clear: both;
	color: black;
	font-size: 2.0em;
}

#monmenu{
	float: left;
	color: white;
	background-color: transparent;
	font-size: 50px;
	line-height: 0.7;
	margin-left: 20px;
	text-align: left;
	border:0;
	padding-top: 0;
	padding-bottom: 12px;
}

#monmenu:hover {
	color: rgb(27,30,76);
	background-color: rgb(245,145,77);
	border-radius : 15%;
      cursor: pointer;
}

.navbar {
      display: flex;
      justify-content: space-between;
      align-items: center;
      gap: 25px;
    }

.logo1{
      height: 90px;
      width: auto;
	margin-top: 10px;
}

#btn-menu {
	float: right;
	margin-right: 40px;
}

a.btn-orange1 {
      display: inline-block;
      padding: 20px;
      border-radius: 1.4em/0.5em;
      border: 2px solid rgb(237,75,63);
	color: white;
	background: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));
      text-decoration: none;
      font-size: 24px;
      transition: 0.3s;
      cursor: pointer;
}

a.btn-orange1:hover {
      border: 2px solid rgb(235,187,64);
	background: linear-gradient(to right, rgba(245,145,77,1), rgba(235,187,64,1));
      color: rgb(27,30,76);
      transform: translateY(-4px);
}

a.btn-orange2 {
      display: inline-block;
      padding: 20px;
      border-radius: 1.4em/0.5em;
      border: 2px solid white;
	background: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));
	color: white;
      text-decoration: none;
      font-size: 24px;
      transition: 0.3s;
      cursor: pointer;
}

a.btn-orange2:hover {
      border: 2px solid white;
	background: linear-gradient(to right, rgba(245,145,77,1), rgba(235,187,64,1));
      color: rgb(27,29,76);
      transform: translateY(-4px);
}

a.btn-outline {
      display: inline-block;
      padding: 20px;
	margin: 20px;
      border-radius: 1.4em/0.5em;
      border: 2px solid white;
	color: white;
	background: transparent;
      text-decoration: none;
      font-size: 24px;
      transition: 0.3s;
      cursor: pointer;
	z-index: 2;
}

a.btn-outline:hover {
	background: linear-gradient(to right, rgba(245,145,77,1), rgba(235,187,64,1));
      color: rgb(27,29,76);
      transform: translateY(-4px);
}

.txtorange{
	color: rgb(237,75,63);
}

div.hero {
	min-height: 100vh;
      align-items: center;
	display: block;
      color: white;
	margin: 0;
}

div.hero video {
	width:100vw;
	height:100vh;
	object-fit:cover;
	position:absolute;
	left:0px;
	top:0px;
	display: block;
	z-index:1;
}

div.herotxt{
	position:absolute;
	top:250px;
	left:100px;
	display: block;
	z-index:2;
}

div.herotxt h1 {
      font-size: 70px;
	letter-spacing: -3px;
	word-spacing: 15px;
      line-height: 1.2;
      margin: 20px;
      font-weight: 600;
	background-color: rgba(200, 200, 200, 0.4);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	padding-top: 30px;
	padding-bottom: 5px;
	padding-left: 10px;
	padding-right: 10px;
}

div.herotxt h2 {
      font-size: 40px;
      margin: 20px;
      line-height: 1.5;
}

#stats {
	margin-top: 25px;
	margin-bottom: 25px;
	margin-left: 120px;
	margin-right: 100px;
	text-align: center;
	color: black;
      background-color: white;
      padding: 20px;
      border-radius: 10em/4em;
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
      gap: 25px;
      box-shadow: 0 20px 50px rgba(0,0,0,0.50);
}

div.kisomnou {
	margin-top: 25px;
	margin-bottom: 25px;
	margin-left: 0;
	margin-right: 0;
	padding: 100px;
	background: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));
	background-size: cover;
	background-position: right;
	align-items: center;
	padding: 100px;
	color: white;
	box-shadow: 0 20px 50px rgba(0,0,0,0.80);
    }

.kisomnoutitre {
	font-size: 60px;
	line-height: 1;
	margin-bottom: 25px;
	font-weight: 400;
}

div.kisomnou img{
	float : left;
	display : block;
	width: 600px;
	height: 400px;
	border: 8px solid white;
	border-radius: 0;
	margin-top: 0;
	margin-left: 0;
	margin-right: 40px;
	margin-bottom: 40px;
      box-shadow: 0 20px 50px rgba(0,0,0,0.50);
}

div.kisomnou p {
	display: block;
	font-size: 28px;
	min-width: 150px;
	padding: 20px;
	font-weight: 300;
	margin: 0;
	text-align: justify; 
}

div.services {
	margin: 50px;
	align-items: center;
	text-align: center;
}

div.services h1{
	color: rgb(27,29,76);
	font-size: 45px;
	font-weight: 350;
}

div.services h2{
	color: rgb(237,75,63);
	font-size: 30px;
}

div.services img.cameleon1{
	display: inline;
	width: 100px;
	height: 100px;
	margin: 0;
}

.services-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
	gap: 40px;
	margin: 40px;
}

div.services-grid div.card1 {
	background-color: white;
	text-align: center;
	line-height: 3;   
	padding-top: 30px;
	padding-bottom: 30px;
	padding-left: 0;
	padding-right: 0;
	border-radius: 40px;
	box-shadow: 0 20px 50px rgba(0,0,0,0.50);
	transition: 0.2s;
}
div.services-grid div.card1:hover {
	transform: translateY(-10px);
	background: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));
}

div.services-grid div.card1 a:link,  div.services-grid div.card1 a:visited{
	color: rgb(27,29,76);
	font-size: 34px;
	font-weight: 400;
      margin-bottom: 30px;
      text-decoration: none;
      cursor: pointer;
}

div.services-grid div.card1 a:hover,  div.services-grid div.card1 a:active{
	color: white;
	font-size: 34px;
	font-weight: 400;
      margin-bottom: 30px;
      text-decoration: none;
      cursor: pointer;
}

div.services-grid div.card2 {
	background-color: white;
	text-align: center;
	line-height: 1;   
	padding-top: 30px;
	padding-bottom: 30px;
	padding-left: 0;
	padding-right: 0;
	border-radius: 40px;
	box-shadow: 0 20px 50px rgba(0,0,0,0.50);
	transition: 0.2s;}

div.services-grid div.card2:hover {
	transform: translateY(-10px);
	background: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));
}

div.services-grid div.card2 a:link,  div.services-grid div.card2 a:visited{
	color: rgb(27,29,76);
	font-size: 34px;
	font-weight: 400;
      margin-bottom: 30px;
      text-decoration: none;
      cursor: pointer;
}

div.services-grid div.card2 a:hover,  div.services-grid div.card2 a:active{
	color: white;
	font-size: 34px;
	font-weight: 400;
      margin-bottom: 30px;
      text-decoration: none;
      cursor: pointer;
}

div.realisations {
	min-height: auto;
	background:
      linear-gradient(rgba(27,29,76,0.82), rgba(27,29,76,0.82)),
      url("https://almaje.run/zimages/imprimante-cameleon.jpg?auto=format&fit=crop&w=1600&q=80");
      background-size: cover;
      background-position: center;
      display: block;
      align-items: center;
      padding: 50px;
      color: white;
	margin-bottom: 50px;
	text-align: center;	
	box-shadow: 0 20px 50px rgba(0,0,0,0.80);
}

div.realisations h2{
	text-align: center;
	width: auto;
	color: rgb(237,75,63);
	font-size: 50px;
	font-weight: 400;
}

div.realisations img.cameleon1{
	display: inline;
	width: 100px;
	height: 100px;
	margin: 0;
}

div.realisations h1{
	color: white;
	font-size: 45px;
	font-weight: 350;
}
										/* carousel begin  */
.carousel {
	--items: 7;
	--carousel-duration: 90s;
	--carousel-width: min(800px);
	--carousel-item-width: 400px;
	--carousel-item-height: 620px;
	--carousel-item-gap: 20px;
	--clr-cta: rgb(0, 132, 209);

	position: relative;
	width: var(--carousel-width);
	height: var(--carousel-item-height);
	overflow: clip;

			/* fade out sur côtés */
&[mask] {mask-image: linear-gradient(to right, transparent, black 10% 90%, transparent);}

}

.carousel > article {
	position: absolute;
	top: 0;
	left: calc(100% + var(--carousel-item-gap));
	width: var(--carousel-item-width);
	height: var(--carousel-item-height);
	display: grid;
	grid-template-rows: 200px auto 1fr auto;
	gap: 0.25rem;
	padding-block-end: 1rem;
	background: transparent;
	color: light-dark(rgb(49, 65, 88), white);

		/* animation */
	will-change: transform;
	animation-name: marquee;
	animation-duration: var(--carousel-duration);
	animation-timing-function: linear;
	animation-iteration-count: infinite;
	animation-delay: calc(var(--carousel-duration) / var(--items) * 1 * var(--i) * -1);
	&:nth-child(1) {--i: 0;}
	&:nth-child(2) {--i: 1;}
	&:nth-child(3) {--i: 2;}
	&:nth-child(4) {--i: 3;}
	&:nth-child(5) {--i: 4;}
	&:nth-child(6) {--i: 5;}
	&:nth-child(7) {--i: 6;}
	&:nth-child(8) {--i: 7;}
}

.carousel img {
		width: 400px;
		height: 600px;
		border: 2px solid white;
		border-radius: 15px;
}

@keyframes marquee {
	100% {transform: translateX(calc((var(--items) * (var(--carousel-item-width) + var(--carousel-item-gap))) *-1));}
	}

/* fin de carousel  */

div.methode {
	align-items: center;
	text-align: center;
	margin: 20px;
}

div.methode h1{
	color: rgb(27,29,76);
      font-size: 45px;
	font-weight: 350;
	text-align: center;
}

div.methode h2{
	color: rgb(237,75,63);
	font-size: 30px;
	text-align: center;
}

div.methode p{
	color: rgb(27,29,76);
	font-size: 20px;
	text-align: center;
	font-weight: 350;
}

div.methode img.cameleon1{
	display: inline;
	width: 100px;
	height: 100px;
	margin: 0;
}

div.methode-grid {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
      gap: 28px;
	margin-top: 50px;
	margin-bottom: 50px;
	margin-left: 45px;
	margin-right: 30px;
}

div.methode-grid .card {
	background: white;
	padding: 20px;
	border-radius: 30px;
	box-shadow: 0 20px 50px rgba(0,0,0,0.50);
	transition: 0.35s;
	text-align: center;
	line-height: 1;   
}

div.methode-grid .card:hover {
	transform: translateY(-10px);
}
 
div.methode-grid .card h3{
	color: rgb(237,75,63);
	font-size: 30px;
	font-weight: 400;
	margin-bottom: 30px;
}

div.contact {
	margin-top: 50px;
	margin-bottom: 50px;
	margin-right: 0;
	margin-left: 0;
	padding-top: 50px;
	padding-bottom: 50px;
	padding-left: 20px;
	padding-right: 20px;
	/*background-color: linear-gradient(to right, rgba(255,49,49,1), rgba(255,145,77,1));*/
	background: url("https://almaje.run/zimages/fond-contact.png?auto=format&fit=crop&w=600&q=80");
      background-size: cover;
      background-position: right;
	text-align: center;	
	box-shadow: 0 20px 50px rgba(0,0,0,0.80);
}


div.contact h1{
	color: white;
      font-size: 45px;
	font-weight: 400;
}

div.contact h2{
	color: white;
	font-size: 40px;
	font-weight: 350;
}

div.legal{
	border-radius: 50px;
	background-color: white;
	color: rgb(27,30,76);
      box-shadow: 0 20px 50px rgba(0,0,0,0.50);
	margin-top: 150px;
	margin-bottom: 40px;
	margin-left: 40px;
	margin-right: 40px;
	padding: 50px;
}

div.legal h2{
	color: rgb(237,75,63);
	font-size: 36px;
	text-align: left;
 }

div.legal p{
	text-align: left;
	margin: 10px;
	line-height: 1.5;
}

#videoconteneur{
	display: flex;
	justify-content: center;
	align-items: center;
}

.filmlegal{
	width: 60%;
	max-width: 1280px;
	height: auto;
	border: 8px solid white;
	box-shadow: 0 20px 50px rgba(0,0,0,0.50);
}

footer {
      background: rgb(27,30,76);
      color: white;
      padding: 40px 20% 40px;
	border-top: 2px solid rgb(237,75,63);
}

#footer-grid {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      gap: 5px;
      margin-bottom: 5px;
}

#footer-logo{
	padding-left: 0;
	padding-right: 50px;
}

#footer-logo img {
      height: 70px;
}

#footer-googlmap{
	padding: 0;
}

#footer-contact{
	padding-left: 50px;
	padding-right: 0;
}

footer h3 {
      color: rgb(235,187,64);
      margin-bottom: 15px;
}

footer a {
      display: inline;
      color: white;
      text-decoration: none;
      margin-bottom: 8px;
}

footer a:hover {
      color: rgb(237,75,63);
}

.copyright {
      border-top: 1px solid rgba(255,255,255,0.15);
      padding-top: 22px;
      text-align: center;
	font-size: 14px;
}

.iconsocialfb{
	display: inline;
	width: 40px;
	height: 40px;
	align-items: center;
	vertical-align: text-bottom;
	margin: 5px;
	fill: white;
	cursor : pointer;
}

.iconsocialfb:hover{
	fill: orange;
}

.iconsocialin{
	display: inline;
	width: 40px;
	height: 40px;
	align-items: center;
	vertical-align: text-bottom;
	margin: 5px;
	fill: white;
	cursor : pointer;
}

.iconsocialin:hover{
	fill: orange;
}

.iconsocialinsta{
	display: inline;
	width: 40px;
	height: 40px;
	align-items: center;
	vertical-align: text-bottom;
	margin: 5px;
	fill: white;
	stroke: none;
	cursor : pointer;
}

.iconsocialinsta:hover{
	fill: orange;
}

#totop {
	z-index : 90;
	position : fixed;
	bottom : 20px;
	right : 10px;
	top : auto;
	left : auto;
}

a:link.totop, a:visited.totop {
	border-radius : 50%;
	background-color : rgb(28, 30, 72);
	margin : 0.2em;
	padding-top : 0.2em;
	padding-right : 0.4em;
	padding-left : 0.4em;
	padding-bottom : 0.3em;
	font-family : Geneva, Verdana, Arial, Helvetica, sans-serif;
	color : white;
	font-size : 1.5em;
	text-decoration : none;
	cursor : pointer;
}

a:hover.totop, a:active.totop {
	border-radius : 50%;
	background-color : white;
	margin : 0.2em;
	padding-top : 0.2em;
	padding-right : 0.4em;
	padding-left : 0.4em;
	padding-bottom : 0.3em;
	font-family : Geneva, Verdana, Arial, Helvetica, sans-serif;
	color : rgb(28, 30, 72);
	font-size : 1.5em;
	text-decoration : none;
	cursor : pointer;
}

#menuweb{
	visibility: hidden;
	z-index: 90;
	position: fixed;
	top: 0;
	left: 0;
	padding : 10px;
	margin : 0;
	width: 300px;
	background-color: rgb(28, 30, 72);
	font-size: 24px;	
	border: 1px solid rgb(235,187,64);
}

#menuweb .fermer {
	font-size: 36px;
	float: right;
	text-align: right;
	cursor: pointer;
	padding: 10px;
}

#menuweb .fermer:hover {
	color: white;
	background-color: red;
}

#menuweb ul{
	list-style-type : none;
	padding : 10px;
	margin : 0;
}

#menuweb ul li{
	border-top : 0;
	border-right : 0;
	border-left : 0;
	border-bottom : 1px solid rgb(235,187,64);
	line-height: 1.5em;
}

#menuweb a:link, #menuweb a:visited {
	display: block;
	padding: 0px;
	color: white;
	background-color: rgb(28, 30, 72);
	opacity: 1;
	text-decoration: none;
	text-align: left;
	cursor: pointer;
}
#menuweb a:hover, #menuweb a:active {
	color: white;
	background-color: red;
	cursor: pointer;
	}


													/*     CSS pour mobile     */


@media (max-width: 900px) {
header {
	position: absolute;
	top: 0;
	left: 0;
	margin-top: 0;
	padding-bottom: 10px;
	padding-left: 5px;
	padding-right: 5px;
}

.navbar {
      gap: 50px;
    }

.logo1{
      height: 70px;
      width: auto;
	margin-top: 5px;
	margin-bottom: 0;
}

#btn-menu {
	visibility: hidden;
}

a.btn-orange2 {
      padding: 10px;
      font-size: 18px;
}

a.btn-outline {
      padding: 10px;
      font-size: 18px;
	margin: 10px;
}

.txtorange{
	color: rgb(237,75,63);
}

div.hero {
	height: 650px;
	display: block;
      color: white;
	margin: 0;
	overflow: hidden;
}
div.hero video {
	height:650px;
	width:100vw;
	object-fit:cover;
	position:absolute;
	left:0px;
	top:0px;
	display: block;
	z-index:1;
}

div.herotxt{
	position:absolute;
	top:150px;
	left:15px;
}
div.herotxt h1 {
      font-size: 40px;
	letter-spacing: -2px;
	word-spacing: 10px;
      line-height: 1.2;
      margin: 20px;
      font-weight: 600;
	padding-top: 10px;
	padding-bottom: 5px;
	padding-left: 10px;
	padding-right: 10px;
}

div.herotxt h2 {
      font-size: 24px;
      margin: 20px;
      line-height: 1.5;
}

#stats {
	margin-top: 0;
	margin-bottom: 15px;
	margin-left: 25px;
	margin-right: 25px;
	text-align: center;
	color: black;
      background-color: white;
      padding: 10px;
      border-radius: 40px;
      display: block;
      grid-template-columns: 0;
      gap: 0;
      box-shadow: 0 20px 50px rgba(0,0,0,0.50);
}

div.kisomnou {
	padding: 20px;
    }

.kisomnoutitre {
	font-size: 40px;
	line-height: 1;
	margin-bottom: 25px;
	font-weight: 400;
}

div.kisomnou img{
	width: 300px;
	height: 200px;
	margin-right: 20px;
	margin-bottom: 20px;
}

div.kisomnou p {
	font-size: 20px;
	min-width: 150px;
	padding: 20px;
	font-weight: 300;
	margin: 0;
	text-align: left; 
}

div.services {
	margin-top: 50px;
	margin-bottom: 50px;
	margin-left: 10px;
	margin-right: 10px;
	align-items: center;
	text-align: center;
}

div.services h1{
	color: rgb(27,29,76);
	font-size: 45px;
	font-weight: 350;
}

div.services h2{
	color: rgb(237,75,63);
	font-size: 24px;
}

div.services img.cameleon1{
	display: inline;
	width: 80px;
	height: 80px;
	margin: 0;
}

div.realisations {
      padding: 20px;
      color: white;
	margin-bottom: 20px;
	text-align: center;	
}

div.realisations h2{
	font-size: 24px;
}

div.realisations img.cameleon1{
	width: 80px;
	height: 80px;
}

div.realisations h1{
	color: white;
	font-size: 30px;
}
										/* carousel begin  */

.carousel {
	--carousel-width: 100%; 
}

div.methode h1{
      font-size: 30px;
	letter-spacing: -1px;
	margin: 20px;
}

div.methode h2{
	font-size: 24px;
}

div.methode p{
	color: rgb(27,29,76);
	font-size: 20px;
	text-align: center;
	font-weight: 350;
	margin: 10px;
}

div.methode img.cameleon1{
	display: inline;
	width: 80px;
	height: 80px;
	margin: 0;
}

div.methode-grid {
       gap: 20px;
	margin-left: 25px;
	margin-right: 10px;
}

div.methode-grid .card {
	padding: 10px;
}

div.methode-grid .card h3{
	font-size: 24px;
	margin-bottom: 20px;
}

div.contact {
	margin-top: 30px;
	margin-bottom: 0;
	padding-top: 30px;
	padding-bottom: 20px;
	padding-left: 10px;
	padding-right: 10px;
}

div.contact h1{
      font-size: 30px;
}

div.contact h2{
	font-size: 24px;
}

div.legal{
	border-radius: 50px;
	background-color: white;
	color: rgb(27,30,76);
      box-shadow: 0 20px 50px rgba(0,0,0,0.50);
	margin-top: 120px;
	margin-bottom: 20px;
	margin-left: 20px;
	margin-right: 20px;
	padding: 20px;
}

div.legal h2{
	color: rgb(237,75,63);
	font-size: 24px;
	text-align: center;
 }

div.legal p{
	text-align: left;
	margin: 10px;
}

#videoconteneur{
	display: flex;
	justify-content: center;
	align-items: center;
}

.filmlegal{
	width: 80%;
	max-width: 1280px;
	height: auto;
	margin: 20px;
	border: 8px solid white;
	box-shadow: 0 20px 50px rgba(0,0,0,0.50);
}

footer {
	margin-top: 40px;
      background: rgb(27,30,76);
      color: white;
      padding: 50px 8% 25px;
	border-top: 2px solid rgb(237,75,63);
}

#footer-grid {
      display: grid;
	grid-auto-flow: row;
      gap: 5px;
      margin-bottom: 5px;
}

#footer-logo{
	padding-left: 0;
	padding-right: 0;
}

#footer-logo img {
      height: 70px;
}

#footer-googlmap{
	padding: 0;
}

#footer-contact{
	padding-left: 0;
	padding-right: 0;
}

footer h3 {
      color: rgb(235,187,64);
      margin-bottom: 15px;
}

.copyright {
      border-top: 1px solid rgba(255,255,255,0.15);
      padding-top: 22px;
      text-align: center;
	font-size: 14px;
}

a:link.totop, a:visited.totop {
	font-size : 2em;
}

#menuweb{
	z-index: 90;
	position: fixed;
	top: 0;
	left: 0;
	padding : 10px;
	margin : 0;
	width: 300px;
	background-color: rgb(28, 30, 72);
	font-size: 24px;	
	border: 1px solid rgb(235,187,64);
}

#menuweb .fermer {
	color: white;
	font-size: 36px;
	float: right;
	text-align: right;
	cursor: pointer;
	padding: 10px;
}

#menuweb .fermer:hover {
	color: white;
	background-color: red;
}

#menuweb ul{
	list-style-type : none;
	padding : 10px;
	margin : 0;
}

#menuweb ul li{
	border-top : 0;
	border-right : 0;
	border-left : 0;
	border-bottom : 1px solid rgb(235,187,64);
	line-height: 1.5em;
}

#menuweb a:link, #menuweb a:visited {
	display: block;
	padding: 0px;
	color: white;
	background-color: rgb(28, 30, 72);
	opacity: 1;
	text-decoration: none;
	text-align: left;
	cursor: pointer;
}
#menuweb a:hover, #menuweb a:active {
	color: white;
	background-color: red;
	cursor: pointer;
	}
}
